import { body } from 'express-validator'

export const createEmployeeValidators = [
  body('firstName').notEmpty().trim().escape(),
  body('lastName').notEmpty().trim().escape(),
  body('email').isEmail().normalizeEmail(),
  body('department').notEmpty().trim().escape(),
  body('position').optional().trim().escape(),
  body('phone').optional().trim(),
  body('employeeNumber').optional().trim(),
]

export const updateEmployeeValidators = [
  body('firstName').notEmpty().trim().escape(),
  body('lastName').notEmpty().trim().escape(),
  body('position').optional().trim().escape(),
  body('department').notEmpty().trim().escape(),
  body('email').isEmail().normalizeEmail(),
  body('phone').optional().trim(),
  body('employeeNumber').optional().trim(),
  body('availability').optional().isIn(['available', 'parttime', 'unavailable', 'busy', 'away', 'vacation', 'sick', 'training', 'operation'])
]

